## r-bioc-ensembldb 1.4.6

=== DESCRIPTION ===
Package: ensembldb
Type: Package
Title: Utilities to create and use an Ensembl based annotation database
Version: 1.4.6
Author: Johannes Rainer <johannes.rainer@eurac.edu>,
	Tim Triche <tim.triche@usc.edu>
Maintainer: Johannes Rainer <johannes.rainer@eurac.edu>
URL: https://github.com/jotsetung/ensembldb
BugReports: https://github.com/jotsetung/ensembldb/issues
Imports: methods, RSQLite, DBI, Biobase, GenomeInfoDb, AnnotationDbi
        (>= 1.31.19), rtracklayer, S4Vectors, AnnotationHub, Rsamtools,
        IRanges
Depends: BiocGenerics (>= 0.15.10), GenomicRanges (>= 1.23.21),
        GenomicFeatures (>= 1.23.18)
Suggests: BiocStyle, knitr, rmarkdown, EnsDb.Hsapiens.v75 (>= 0.99.7),
        RUnit, shiny, Gviz, BSgenome.Hsapiens.UCSC.hg19
VignetteBuilder: knitr
Description: The package provides functions to create and use
        transcript centric annotation databases/packages. The
        annotation for the databases are directly fetched from Ensembl
        using their Perl API. The functionality and data is similar to
        that of the TxDb packages from the GenomicFeatures package,
        but, in addition to retrieve all gene/transcript models and
        annotations from the database, the ensembldb package provides
        also a filter framework allowing to retrieve annotations for
        specific entries like genes encoded on a chromosome region or
        transcript models of lincRNA genes.
Collate: Classes.R Generics.R dbhelpers.R Methods.R Methods-Filter.R
        loadEnsDb.R makeEnsemblDbPackage.R EnsDbFromGTF.R runEnsDbApp.R
        select-methods.R seqname-utils.R zzz.R
biocViews: Genetics, AnnotationData, Sequencing, Coverage
License: LGPL
NeedsCompilation: no
Packaged: 2016-06-07 05:12:18 UTC; biocbuild

=== debian/changelog ===
r-bioc-ensembldb (1.4.6-1) unstable; urgency=low

  * Initial release (closes: #825906)

 -- Andreas Tille <tille@debian.org>  Tue, 31 May 2016 11:41:29 +0200

=== debian/control ===
Source: r-bioc-ensembldb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-bioc-genomicfeatures,
               r-bioc-annotationhub
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-ensembldb/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-ensembldb/trunk/
Homepage: http://bioconductor.org/packages/release/bioc/html/ensembldb.html

Package: r-bioc-ensembldb
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-genomicfeatures,
         r-bioc-annotationhub
Description: GNU R utilities to create and use an Ensembl based annotation database
 The package provides functions to create and use transcript centric
 annotation databases/packages. The annotation for the databases are
 directly fetched from Ensembl using their Perl API. The functionality
 and data is similar to that of the TxDb packages from the
 GenomicFeatures package, but, in addition to retrieve all
 gene/transcript models and annotations from the database, the ensembldb
 package provides also a filter framework allowing to retrieve
 annotations for specific entries like genes encoded on a chromosome
 region or transcript models of lincRNA genes.

=== debian/rules ===
#!/usr/bin/make -f

debRreposname=bioc
include /usr/share/R/debian/r-cran.mk

install/$(package)::
	chmod a+x $(debRlib)/$(cranName)/perl/get_gene_transcript_exon_tables.pl

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/ensembldb.html .*/ensembldb_([\d\.]+)\.tar\.gz

## r-bioc-ensembldb 1.6.2

=== DESCRIPTION ===
Package: ensembldb
Type: Package
Title: Utilities to create and use an Ensembl based annotation database
Version: 1.6.2
Author: Johannes Rainer <johannes.rainer@eurac.edu>,
    Tim Triche <tim.triche@usc.edu>
Maintainer: Johannes Rainer <johannes.rainer@eurac.edu>
URL: https://github.com/jotsetung/ensembldb
BugReports: https://github.com/jotsetung/ensembldb/issues
Imports: methods, RSQLite, DBI, Biobase, GenomeInfoDb, AnnotationDbi
        (>= 1.31.19), rtracklayer, S4Vectors, AnnotationHub, Rsamtools,
        IRanges
Depends: BiocGenerics (>= 0.15.10), GenomicRanges (>= 1.23.21),
        GenomicFeatures (>= 1.23.18)
Suggests: BiocStyle, knitr, rmarkdown, EnsDb.Hsapiens.v75 (>= 0.99.7),
        RUnit, shiny, Gviz, BSgenome.Hsapiens.UCSC.hg19
Enhances: RMySQL
VignetteBuilder: knitr
Description: The package provides functions to create and use
    transcript centric annotation databases/packages. The
    annotation for the databases are directly fetched from Ensembl
    using their Perl API. The functionality and data is similar to
    that of the TxDb packages from the GenomicFeatures package,
    but, in addition to retrieve all gene/transcript models and
    annotations from the database, the ensembldb package provides
    also a filter framework allowing to retrieve annotations for
    specific entries like genes encoded on a chromosome region or
    transcript models of lincRNA genes.
Collate: Classes.R Generics.R functions-utils.R dbhelpers.R Methods.R
        Methods-Filter.R loadEnsDb.R makeEnsemblDbPackage.R
        EnsDbFromGTF.R runEnsDbApp.R select-methods.R seqname-utils.R
        zzz.R
biocViews: Genetics, AnnotationData, Sequencing, Coverage
License: LGPL
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-11-17 00:52:31 UTC; biocbuild

=== debian/changelog ===
r-bioc-ensembldb (1.6.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 10:33:07 +0100

r-bioc-ensembldb (1.6.0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Generic BioConductor homepage
  * Exclude tests requiring EnsDb.Hsapiens.v75 from unit tests

 -- Andreas Tille <tille@debian.org>  Thu, 27 Oct 2016 14:39:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
+               dh-r,
                r-base-dev,
                r-bioc-genomicfeatures,
                r-bioc-annotationhub
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-ensembldb/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-ensembldb/trunk/
-Homepage: http://bioconductor.org/packages/release/bioc/html/ensembldb.html
+Homepage: https://bioconductor.org/packages/ensembldb/
 
 Package: r-bioc-ensembldb
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
-         r-bioc-genomicfeatures,
-         r-bioc-annotationhub
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R utilities to create and use an Ensembl based annotation database
  The package provides functions to create and use transcript centric
  annotation databases/packages. The annotation for the databases are

=== debian/rules ===
#!/usr/bin/make -f

debRreposname   := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}' | sed 's/r-\([a-z]\+\)-.*/\1/')
awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
package         := r-$(debRreposname)-$(cranName)
debRdir         := usr/lib/R/site-library
debRlib         := $(CURDIR)/debian/$(package)/$(debRdir)

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.pl" -exec chmod +x \{\} \;

# remove those unit tests that are requiring EnsDb.Hsapiens.v75
override_dh_install:
	dh_install
	for tst in `grep -H -l 'library(.*EnsDb.Hsapiens.v75.*)' $(debRlib)/$(cranNameOrig)/unitTests/test_*.R` ; do rm -f $${tst} ; done

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/ensembldb.html .*/ensembldb_([\d\.]+)\.tar\.gz

## r-bioc-ensembldb 2.2.2

=== DESCRIPTION ===
Package: ensembldb
Type: Package
Title: Utilities to create and use Ensembl-based annotation databases
Version: 2.2.2
Authors@R: c(person(given = "Johannes", family = "Rainer",
	   email = "johannes.rainer@eurac.edu",
	   role = c("aut", "cre")),
	   person(given = "Tim", family = "Triche",
	   email = "tim.triche@usc.edu",
	   role = "ctb"),
	   person(given = "Christian", family = "Weichenberger",
	   email = "christian.weichenberger@eurac.edu", role = "ctb"))
Author: Johannes Rainer <johannes.rainer@eurac.edu> with contributions
	from Tim Triche and Christian Weichenberger.
Maintainer: Johannes Rainer <johannes.rainer@eurac.edu>
URL: https://github.com/jotsetung/ensembldb
BugReports: https://github.com/jotsetung/ensembldb/issues
Imports: methods, RSQLite (>= 1.1), DBI, Biobase, GenomeInfoDb,
        AnnotationDbi (>= 1.31.19), rtracklayer, S4Vectors,
        AnnotationHub, Rsamtools, IRanges (>= 2.11.16), ProtGenerics,
        Biostrings, curl
Depends: BiocGenerics (>= 0.15.10), GenomicRanges (>= 1.23.21),
        GenomicFeatures (>= 1.29.10), AnnotationFilter (>= 1.1.9)
Suggests: BiocStyle, knitr, rmarkdown, EnsDb.Hsapiens.v75 (>= 0.99.8),
        shiny, testthat, BSgenome.Hsapiens.UCSC.hg19, ggbio (>=
        1.24.0), Gviz (>= 1.20.0), magrittr
Enhances: RMySQL
VignetteBuilder: knitr
Description: The package provides functions to create and use
    transcript centric annotation databases/packages. The
    annotation for the databases are directly fetched from Ensembl
    using their Perl API. The functionality and data is similar to
    that of the TxDb packages from the GenomicFeatures package,
    but, in addition to retrieve all gene/transcript models and
    annotations from the database, the ensembldb package provides
    also a filter framework allowing to retrieve annotations for
    specific entries like genes encoded on a chromosome region or
    transcript models of lincRNA genes.
Collate: Classes.R Generics.R functions-utils.R dbhelpers.R Methods.R
        functions-EnsDb.R functions-Filter.R Methods-Filter.R
        functions-create-EnsDb.R select-methods.R seqname-utils.R
        Deprecated.R zzz.R
biocViews: Genetics, AnnotationData, Sequencing, Coverage
License: LGPL
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-02-15 01:01:13 UTC; biocbuild

=== debian/changelog ===
r-bioc-ensembldb (2.2.2-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 19 Feb 2018 16:16:28 +0100

r-bioc-ensembldb (2.2.0-2) unstable; urgency=medium

  * Upstream switched from unittests to testthat but now even testthat.R
    importet dataset EnsDb.Hsapiens.v75 which is not packaged.  So switch
    back to basic `Testsuite: autopkgtest-pkg-r` for autopkgtest
    Closes: #882355

 -- Andreas Tille <tille@debian.org>  Sun, 03 Dec 2017 09:33:19 +0100

r-bioc-ensembldb (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * New versioned Build-Depends: r-bioc-genomicfeatures (>= 1.29.10),
                                 r-bioc-annotationfilter (>= 1.1.9)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Nov 2017 11:00:42 +0100

r-bioc-ensembldb (2.0.4-1) unstable; urgency=medium

  * New upstream version
  * No need to Build-Depend: r-base-dev
  * New Build-Depends: r-bioc-annotationfilter, r-bioc-protgenerics
  * Add debian/README.source to document binary data files
  * Add shebang line to perl script
  * Script makeEnsemblDbPackage.R not distributed any more thus remove
    it from d/copyright
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Sun, 22 Oct 2017 09:25:22 +0200

r-bioc-ensembldb (1.6.2-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Tue, 03 Oct 2017 09:18:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,23 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
-               r-base-dev,
-               r-bioc-genomicfeatures,
-               r-bioc-annotationhub
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-ensembldb/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-ensembldb/trunk/
+               r-bioc-genomicfeatures (>= 1.29.10),
+               r-bioc-annotationhub,
+               r-bioc-annotationfilter,
+               r-bioc-protgenerics
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-ensembldb.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-ensembldb.git
 Homepage: https://bioconductor.org/packages/ensembldb/
 
 Package: r-bioc-ensembldb
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R utilities to create and use an Ensembl based annotation database

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/ensembldb.html .*/ensembldb_([\d\.]+)\.tar\.gz

## r-bioc-ensembldb 2.4.1+dfsg

=== DESCRIPTION ===
Package: ensembldb
Type: Package
Title: Utilities to create and use Ensembl-based annotation databases
Version: 2.4.1
Authors@R: c(person(given = "Johannes", family = "Rainer",
	   email = "johannes.rainer@eurac.edu",
	   role = c("aut", "cre")),
	   person(given = "Tim", family = "Triche",
	   email = "tim.triche@usc.edu",
	   role = "ctb"),
	   person(given = "Christian", family = "Weichenberger",
	   email = "christian.weichenberger@eurac.edu", role = "ctb"),
	   person(given = "Sebastian", family = "Gibb",
	   email = "mail@sebastiangibb.de", role = "ctb"),
	   person(given = "Laurent", family = "Gatto",
	   email = "lg390@cam.ac.uk", role = "ctb"))
Author: Johannes Rainer <johannes.rainer@eurac.edu> with contributions
	from Tim Triche, Sebastian Gibb, Laurent Gatto and
	Christian Weichenberger.
Maintainer: Johannes Rainer <johannes.rainer@eurac.edu>
URL: https://github.com/jotsetung/ensembldb
BugReports: https://github.com/jotsetung/ensembldb/issues
Imports: methods, RSQLite (>= 1.1), DBI, Biobase, GenomeInfoDb,
        AnnotationDbi (>= 1.31.19), rtracklayer, S4Vectors, Rsamtools,
        IRanges (>= 2.13.24), ProtGenerics, Biostrings (>= 2.47.9),
        curl
Depends: BiocGenerics (>= 0.15.10), GenomicRanges (>= 1.31.18),
        GenomicFeatures (>= 1.29.10), AnnotationFilter (>= 1.1.9)
Suggests: BiocStyle, knitr, EnsDb.Hsapiens.v86 (>= 0.99.8), testthat,
        BSgenome.Hsapiens.NCBI.GRCh38, ggbio (>= 1.24.0), Gviz (>=
        1.20.0), magrittr, AnnotationHub
Enhances: RMySQL, shiny
VignetteBuilder: knitr
Description: The package provides functions to create and use
    transcript centric annotation databases/packages. The
    annotation for the databases are directly fetched from Ensembl
    using their Perl API. The functionality and data is similar to
    that of the TxDb packages from the GenomicFeatures package,
    but, in addition to retrieve all gene/transcript models and
    annotations from the database, ensembldb provides a filter
    framework allowing to retrieve annotations for specific entries
    like genes encoded on a chromosome region or transcript models
    of lincRNA genes. EnsDb databases built with ensembldb contain
    also protein annotations and mappings between proteins and
    their encoding transcripts. Finally, ensembldb provides
    functions to map between genomic, transcript and protein
    coordinates.
Collate: 'Classes.R' 'Deprecated.R' 'Generics.R' 'Methods-Filter.R'
        'Methods.R' 'dbhelpers.R' 'functions-EnsDb.R'
        'functions-Filter.R' 'functions-create-EnsDb.R'
        'functions-utils.R' 'proteinToX.R' 'transcriptToX.R'
        'genomeToX.R' 'select-methods.R' 'seqname-utils.R' 'zzz.R'
biocViews: Genetics, AnnotationData, Sequencing, Coverage
License: LGPL
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-05-07 00:23:46 UTC; biocbuild

=== debian/changelog ===
r-bioc-ensembldb (2.4.1+dfsg-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 19:50:51 +0200

r-bioc-ensembldb (2.4.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 24 May 2018 11:46:30 +0200

r-bioc-ensembldb (2.4.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 07:16:10 +0200

r-bioc-ensembldb (2.4.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 21:12:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,31 @@
 Source: r-bioc-ensembldb
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-r,
+               r-base-dev,
+               r-bioc-biocgenerics (>= 0.15.10),
+               r-bioc-genomicranges (>= 1.31.18),
                r-bioc-genomicfeatures (>= 1.29.10),
-               r-bioc-annotationhub,
                r-bioc-annotationfilter,
-               r-bioc-protgenerics
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-ensembldb.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-ensembldb.git
+               r-cran-rsqlite (>= 1.1),
+               r-cran-dbi,
+               r-bioc-biobase,
+               r-bioc-genomeinfodb,
+               r-bioc-annotationdbi (>= 1.31.19),
+               r-bioc-rtracklayer,
+               r-bioc-s4vectors,
+               r-bioc-rsamtools,
+               r-bioc-iranges (>= 2.13.24),
+               r-bioc-protgenerics,
+               r-bioc-biostrings (>= 2.47.9),
+               r-cran-curl
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb.git
 Homepage: https://bioconductor.org/packages/ensembldb/
 
 Package: r-bioc-ensembldb

## r-bioc-ensembldb 2.6.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ensembldb
 Type: Package
 Title: Utilities to create and use Ensembl-based annotation databases
-Version: 2.4.1
+Version: 2.6.5
 Authors@R: c(person(given = "Johannes", family = "Rainer",
 	   email = "johannes.rainer@eurac.edu",
 	   role = c("aut", "cre")),
@@ -25,11 +25,11 @@
         IRanges (>= 2.13.24), ProtGenerics, Biostrings (>= 2.47.9),
         curl
 Depends: BiocGenerics (>= 0.15.10), GenomicRanges (>= 1.31.18),
-        GenomicFeatures (>= 1.29.10), AnnotationFilter (>= 1.1.9)
+        GenomicFeatures (>= 1.29.10), AnnotationFilter (>= 1.5.2)
 Suggests: BiocStyle, knitr, EnsDb.Hsapiens.v86 (>= 0.99.8), testthat,
         BSgenome.Hsapiens.NCBI.GRCh38, ggbio (>= 1.24.0), Gviz (>=
         1.20.0), magrittr, AnnotationHub
-Enhances: RMySQL, shiny
+Enhances: RMariaDB, shiny
 VignetteBuilder: knitr
 Description: The package provides functions to create and use
     transcript centric annotation databases/packages. The
@@ -52,6 +52,11 @@
         'genomeToX.R' 'select-methods.R' 'seqname-utils.R' 'zzz.R'
 biocViews: Genetics, AnnotationData, Sequencing, Coverage
 License: LGPL
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
+git_url: https://git.bioconductor.org/packages/ensembldb
+git_branch: RELEASE_3_8
+git_last_commit: a2712ad
+git_last_commit_date: 2019-01-30
+Date/Publication: 2019-01-31
 NeedsCompilation: no
-Packaged: 2018-05-07 00:23:46 UTC; biocbuild
+Packaged: 2019-02-01 01:21:04 UTC; biocbuild

=== debian/changelog ===
r-bioc-ensembldb (2.6.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 09 Feb 2019 15:14:24 +0100

r-bioc-ensembldb (2.6.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Fri, 01 Feb 2019 18:26:17 +0100

r-bioc-ensembldb (2.6.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 26 Nov 2018 07:27:15 +0100

r-bioc-ensembldb (2.6.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 18 Nov 2018 12:11:38 +0100

r-bioc-ensembldb (2.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 12 Nov 2018 21:44:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.15.10),
@@ -23,7 +23,7 @@
                r-bioc-protgenerics,
                r-bioc-biostrings (>= 2.47.9),
                r-cran-curl
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb.git
 Homepage: https://bioconductor.org/packages/ensembldb/

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
 https://www.bioconductor.org/packages/release/bioc/html/ensembldb.html .*/ensembldb_([\d\.]+)\.tar\.gz

## r-bioc-ensembldb 2.8.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,25 +1,32 @@
 Package: ensembldb
 Type: Package
 Title: Utilities to create and use Ensembl-based annotation databases
-Version: 2.6.5
+Version: 2.8.0
 Authors@R: c(person(given = "Johannes", family = "Rainer",
 	   email = "johannes.rainer@eurac.edu",
-	   role = c("aut", "cre")),
+	   role = c("aut", "cre"),
+	   comment = c(ORCID = "0000-0002-6977-7147")),
 	   person(given = "Tim", family = "Triche",
 	   email = "tim.triche@usc.edu",
 	   role = "ctb"),
 	   person(given = "Christian", family = "Weichenberger",
-	   email = "christian.weichenberger@eurac.edu", role = "ctb"),
+	   email = "christian.weichenberger@eurac.edu",
+	   role = "ctb",
+	   comment = c(ORCID = "0000-0002-2176-0274")),
 	   person(given = "Sebastian", family = "Gibb",
-	   email = "mail@sebastiangibb.de", role = "ctb"),
+	   email = "mail@sebastiangibb.de",
+	   role = "ctb",
+	   comment = c(ORCID = "0000-0001-7406-4443")),
 	   person(given = "Laurent", family = "Gatto",
-	   email = "lg390@cam.ac.uk", role = "ctb"))
+	   email = "lg390@cam.ac.uk",
+	   role = "ctb",
+	   comment = c(ORCID = "0000-0002-1520-2268")))
 Author: Johannes Rainer <johannes.rainer@eurac.edu> with contributions
 	from Tim Triche, Sebastian Gibb, Laurent Gatto and
 	Christian Weichenberger.
 Maintainer: Johannes Rainer <johannes.rainer@eurac.edu>
-URL: https://github.com/jotsetung/ensembldb
-BugReports: https://github.com/jotsetung/ensembldb/issues
+URL: https://github.com/jorainer/ensembldb
+BugReports: https://github.com/jorainer/ensembldb/issues
 Imports: methods, RSQLite (>= 1.1), DBI, Biobase, GenomeInfoDb,
         AnnotationDbi (>= 1.31.19), rtracklayer, S4Vectors, Rsamtools,
         IRanges (>= 2.13.24), ProtGenerics, Biostrings (>= 2.47.9),
@@ -54,9 +61,9 @@
 License: LGPL
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/ensembldb
-git_branch: RELEASE_3_8
-git_last_commit: a2712ad
-git_last_commit_date: 2019-01-30
-Date/Publication: 2019-01-31
+git_branch: RELEASE_3_9
+git_last_commit: b35f4c9
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
 NeedsCompilation: no
-Packaged: 2019-02-01 01:21:04 UTC; biocbuild
+Packaged: 2019-05-03 01:24:44 UTC; biocbuild

=== debian/changelog ===
r-bioc-ensembldb (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Fri, 19 Jul 2019 16:06:20 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                r-bioc-protgenerics,
                r-bioc-biostrings (>= 2.47.9),
                r-cran-curl
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb.git
 Homepage: https://bioconductor.org/packages/ensembldb/

## r-bioc-ensembldb 2.10.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ensembldb
 Type: Package
 Title: Utilities to create and use Ensembl-based annotation databases
-Version: 2.8.0
+Version: 2.10.2
 Authors@R: c(person(given = "Johannes", family = "Rainer",
 	   email = "johannes.rainer@eurac.edu",
 	   role = c("aut", "cre"),
@@ -28,9 +28,9 @@
 URL: https://github.com/jorainer/ensembldb
 BugReports: https://github.com/jorainer/ensembldb/issues
 Imports: methods, RSQLite (>= 1.1), DBI, Biobase, GenomeInfoDb,
-        AnnotationDbi (>= 1.31.19), rtracklayer, S4Vectors, Rsamtools,
-        IRanges (>= 2.13.24), ProtGenerics, Biostrings (>= 2.47.9),
-        curl
+        AnnotationDbi (>= 1.31.19), rtracklayer, S4Vectors (>=
+        0.23.10), Rsamtools, IRanges (>= 2.13.24), ProtGenerics,
+        Biostrings (>= 2.47.9), curl
 Depends: BiocGenerics (>= 0.15.10), GenomicRanges (>= 1.31.18),
         GenomicFeatures (>= 1.29.10), AnnotationFilter (>= 1.5.2)
 Suggests: BiocStyle, knitr, EnsDb.Hsapiens.v86 (>= 0.99.8), testthat,
@@ -59,11 +59,11 @@
         'genomeToX.R' 'select-methods.R' 'seqname-utils.R' 'zzz.R'
 biocViews: Genetics, AnnotationData, Sequencing, Coverage
 License: LGPL
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.0
 git_url: https://git.bioconductor.org/packages/ensembldb
-git_branch: RELEASE_3_9
-git_last_commit: b35f4c9
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: 8a14fa5
+git_last_commit_date: 2019-11-20
+Date/Publication: 2019-11-20
 NeedsCompilation: no
-Packaged: 2019-05-03 01:24:44 UTC; biocbuild
+Packaged: 2019-11-21 02:08:54 UTC; biocbuild

=== debian/changelog ===
r-bioc-ensembldb (2.10.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Tue, 26 Nov 2019 15:08:49 +0100

r-bioc-ensembldb (2.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * debian/copyright: Use spaces rather than tabs in continuation lines.
  * Set upstream metadata fields: Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 13 Nov 2019 09:37:30 +0100

r-bioc-ensembldb (2.8.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 28 Oct 2019 10:26:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.15.10),
@@ -17,13 +17,13 @@
                r-bioc-genomeinfodb,
                r-bioc-annotationdbi (>= 1.31.19),
                r-bioc-rtracklayer,
-               r-bioc-s4vectors,
+               r-bioc-s4vectors (>= 0.23.10),
                r-bioc-rsamtools,
                r-bioc-iranges (>= 2.13.24),
                r-bioc-protgenerics,
                r-bioc-biostrings (>= 2.47.9),
                r-cran-curl
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb.git
 Homepage: https://bioconductor.org/packages/ensembldb/

## r-bioc-ensembldb 2.12.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ensembldb
 Type: Package
 Title: Utilities to create and use Ensembl-based annotation databases
-Version: 2.10.2
+Version: 2.12.1
 Authors@R: c(person(given = "Johannes", family = "Rainer",
 	   email = "johannes.rainer@eurac.edu",
 	   role = c("aut", "cre"),
@@ -59,11 +59,11 @@
         'genomeToX.R' 'select-methods.R' 'seqname-utils.R' 'zzz.R'
 biocViews: Genetics, AnnotationData, Sequencing, Coverage
 License: LGPL
-RoxygenNote: 7.0.0
+RoxygenNote: 7.0.2
 git_url: https://git.bioconductor.org/packages/ensembldb
-git_branch: RELEASE_3_10
-git_last_commit: 8a14fa5
-git_last_commit_date: 2019-11-20
-Date/Publication: 2019-11-20
+git_branch: RELEASE_3_11
+git_last_commit: ee79696
+git_last_commit_date: 2020-05-06
+Date/Publication: 2020-05-06
 NeedsCompilation: no
-Packaged: 2019-11-21 02:08:54 UTC; biocbuild
+Packaged: 2020-05-07 01:26:08 UTC; biocbuild

=== debian/changelog ===
r-bioc-ensembldb (2.12.1+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:07:22 +0000

r-bioc-ensembldb (2.12.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Thu, 21 May 2020 09:27:43 +0200

r-bioc-ensembldb (2.10.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix autopkgtest.
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 16 Mar 2020 18:15:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-bioc-ensembldb
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -23,10 +24,11 @@
                r-bioc-protgenerics,
                r-bioc-biostrings (>= 2.47.9),
                r-cran-curl
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb.git
 Homepage: https://bioconductor.org/packages/ensembldb/
+Rules-Requires-Root: no
 
 Package: r-bioc-ensembldb
 Architecture: all

## r-bioc-ensembldb 2.14.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-bioc-ensembldb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.15.10),

## r-bioc-ensembldb 2.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ensembldb
 Type: Package
 Title: Utilities to create and use Ensembl-based annotation databases
-Version: 2.12.1
+Version: 2.14.0
 Authors@R: c(person(given = "Johannes", family = "Rainer",
 	   email = "johannes.rainer@eurac.edu",
 	   role = c("aut", "cre"),
@@ -61,9 +61,9 @@
 License: LGPL
 RoxygenNote: 7.0.2
 git_url: https://git.bioconductor.org/packages/ensembldb
-git_branch: RELEASE_3_11
-git_last_commit: ee79696
-git_last_commit_date: 2020-05-06
-Date/Publication: 2020-05-06
+git_branch: RELEASE_3_12
+git_last_commit: c715051
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: no
-Packaged: 2020-05-07 01:26:08 UTC; biocbuild
+Packaged: 2020-10-28 00:01:21 UTC; biocbuild

=== debian/changelog ===
r-bioc-ensembldb (2.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * No tab in license text (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 15:41:00 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.pl" -exec chmod +x \{\} \;

## r-bioc-ensembldb 2.18.3%2Bdfsg

=== debian/changelog ===
r-bioc-ensembldb (2.18.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add missing build dependency on dh addon.
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * Skip autopkgtest
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Sun, 23 Jan 2022 17:23:15 +0100

r-bioc-ensembldb (2.18.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Nov 2021 08:05:58 +0100

r-bioc-ensembldb (2.16.4+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-bioc-annotationdbi,
      r-bioc-biocgenerics, r-bioc-biostrings, r-bioc-genomicfeatures,
      r-bioc-genomicranges, r-bioc-iranges, r-bioc-s4vectors and r-cran-rsqlite.

  [ Nilesh Patra ]
  * d/control: Versioned B-D as per DESCRIPTION file

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Sep 2021 03:26:13 +0530

## r-bioc-ensembldb 2.18.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ensembldb
 Type: Package
 Title: Utilities to create and use Ensembl-based annotation databases
-Version: 2.14.0
+Version: 2.18.3
 Authors@R: c(person(given = "Johannes", family = "Rainer",
 	   email = "johannes.rainer@eurac.edu",
 	   role = c("aut", "cre"),
@@ -35,7 +35,7 @@
         GenomicFeatures (>= 1.29.10), AnnotationFilter (>= 1.5.2)
 Suggests: BiocStyle, knitr, EnsDb.Hsapiens.v86 (>= 0.99.8), testthat,
         BSgenome.Hsapiens.NCBI.GRCh38, ggbio (>= 1.24.0), Gviz (>=
-        1.20.0), magrittr, AnnotationHub
+        1.20.0), magrittr, rmarkdown, AnnotationHub
 Enhances: RMariaDB, shiny
 VignetteBuilder: knitr
 Description: The package provides functions to create and use
@@ -59,11 +59,11 @@
         'genomeToX.R' 'select-methods.R' 'seqname-utils.R' 'zzz.R'
 biocViews: Genetics, AnnotationData, Sequencing, Coverage
 License: LGPL
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/ensembldb
-git_branch: RELEASE_3_12
-git_last_commit: c715051
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: e2fcfc0
+git_last_commit_date: 2022-01-12
+Date/Publication: 2022-01-13
 NeedsCompilation: no
-Packaged: 2020-10-28 00:01:21 UTC; biocbuild
+Packaged: 2022-01-13 09:18:50 UTC; biocbuild

=== debian/control ===
--- 
+++ 
@@ -7,23 +7,24 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.15.10),
-               r-bioc-genomicranges (>= 1.31.18),
-               r-bioc-genomicfeatures (>= 1.29.10),
+               r-bioc-biocgenerics,
+               r-bioc-genomicranges,
+               r-bioc-genomicfeatures,
                r-bioc-annotationfilter,
-               r-cran-rsqlite (>= 1.1),
+               r-cran-rsqlite,
                r-cran-dbi,
                r-bioc-biobase,
                r-bioc-genomeinfodb,
-               r-bioc-annotationdbi (>= 1.31.19),
+               r-bioc-annotationdbi,
                r-bioc-rtracklayer,
                r-bioc-s4vectors (>= 0.23.10),
                r-bioc-rsamtools,
-               r-bioc-iranges (>= 2.13.24),
+               r-bioc-iranges,
                r-bioc-protgenerics,
-               r-bioc-biostrings (>= 2.47.9),
-               r-cran-curl
-Standards-Version: 4.5.0
+               r-bioc-biostrings,
+               r-cran-curl,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb.git
 Homepage: https://bioconductor.org/packages/ensembldb/

## r-bioc-ensembldb 2.20.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ensembldb
 Type: Package
 Title: Utilities to create and use Ensembl-based annotation databases
-Version: 2.18.3
+Version: 2.20.2
 Authors@R: c(person(given = "Johannes", family = "Rainer",
 	   email = "johannes.rainer@eurac.edu",
 	   role = c("aut", "cre"),
@@ -31,8 +31,9 @@
         AnnotationDbi (>= 1.31.19), rtracklayer, S4Vectors (>=
         0.23.10), Rsamtools, IRanges (>= 2.13.24), ProtGenerics,
         Biostrings (>= 2.47.9), curl
-Depends: BiocGenerics (>= 0.15.10), GenomicRanges (>= 1.31.18),
-        GenomicFeatures (>= 1.29.10), AnnotationFilter (>= 1.5.2)
+Depends: R (>= 3.5.0), BiocGenerics (>= 0.15.10), GenomicRanges (>=
+        1.31.18), GenomicFeatures (>= 1.29.10), AnnotationFilter (>=
+        1.5.2)
 Suggests: BiocStyle, knitr, EnsDb.Hsapiens.v86 (>= 0.99.8), testthat,
         BSgenome.Hsapiens.NCBI.GRCh38, ggbio (>= 1.24.0), Gviz (>=
         1.20.0), magrittr, rmarkdown, AnnotationHub
@@ -61,9 +62,9 @@
 License: LGPL
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/ensembldb
-git_branch: RELEASE_3_14
-git_last_commit: e2fcfc0
-git_last_commit_date: 2022-01-12
-Date/Publication: 2022-01-13
+git_branch: RELEASE_3_15
+git_last_commit: ac1fb83
+git_last_commit_date: 2022-06-16
+Date/Publication: 2022-06-16
 NeedsCompilation: no
-Packaged: 2022-01-13 09:18:50 UTC; biocbuild
+Packaged: 2022-06-16 20:30:33 UTC; biocbuild

=== debian/changelog ===
r-bioc-ensembldb (2.20.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jun 2022 11:42:55 +0200

r-bioc-ensembldb (2.20.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 21:08:25 +0200

r-bioc-ensembldb (2.18.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Mar 2022 11:48:53 +0200

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,8 @@
                r-bioc-iranges,
                r-bioc-protgenerics,
                r-bioc-biostrings,
-               r-cran-curl,
-               debhelper
-Standards-Version: 4.6.0
+               r-cran-curl
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb.git
 Homepage: https://bioconductor.org/packages/ensembldb/

## r-bioc-ensembldb 2.22.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ensembldb
 Type: Package
 Title: Utilities to create and use Ensembl-based annotation databases
-Version: 2.20.2
+Version: 2.22.0
 Authors@R: c(person(given = "Johannes", family = "Rainer",
 	   email = "johannes.rainer@eurac.edu",
 	   role = c("aut", "cre"),
@@ -32,7 +32,7 @@
         0.23.10), Rsamtools, IRanges (>= 2.13.24), ProtGenerics,
         Biostrings (>= 2.47.9), curl
 Depends: R (>= 3.5.0), BiocGenerics (>= 0.15.10), GenomicRanges (>=
-        1.31.18), GenomicFeatures (>= 1.29.10), AnnotationFilter (>=
+        1.31.18), GenomicFeatures (>= 1.49.6), AnnotationFilter (>=
         1.5.2)
 Suggests: BiocStyle, knitr, EnsDb.Hsapiens.v86 (>= 0.99.8), testthat,
         BSgenome.Hsapiens.NCBI.GRCh38, ggbio (>= 1.24.0), Gviz (>=
@@ -60,11 +60,11 @@
         'genomeToX.R' 'select-methods.R' 'seqname-utils.R' 'zzz.R'
 biocViews: Genetics, AnnotationData, Sequencing, Coverage
 License: LGPL
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 git_url: https://git.bioconductor.org/packages/ensembldb
-git_branch: RELEASE_3_15
-git_last_commit: ac1fb83
-git_last_commit_date: 2022-06-16
-Date/Publication: 2022-06-16
+git_branch: RELEASE_3_16
+git_last_commit: 4dda178
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-06-16 20:30:33 UTC; biocbuild
+Packaged: 2022-11-01 21:28:17 UTC; biocbuild

=== debian/changelog ===
r-bioc-ensembldb (2.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 22:01:38 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-bioc-biocgenerics,
                r-bioc-genomicranges,
-               r-bioc-genomicfeatures,
+               r-bioc-genomicfeatures (>= 1.49.6),
                r-bioc-annotationfilter,
                r-cran-rsqlite,
                r-cran-dbi,

## r-bioc-ensembldb 2.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ensembldb
 Type: Package
 Title: Utilities to create and use Ensembl-based annotation databases
-Version: 2.22.0
+Version: 2.24.0
 Authors@R: c(person(given = "Johannes", family = "Rainer",
 	   email = "johannes.rainer@eurac.edu",
 	   role = c("aut", "cre"),
@@ -36,7 +36,7 @@
         1.5.2)
 Suggests: BiocStyle, knitr, EnsDb.Hsapiens.v86 (>= 0.99.8), testthat,
         BSgenome.Hsapiens.NCBI.GRCh38, ggbio (>= 1.24.0), Gviz (>=
-        1.20.0), magrittr, rmarkdown, AnnotationHub
+        1.20.0), rmarkdown, AnnotationHub
 Enhances: RMariaDB, shiny
 VignetteBuilder: knitr
 Description: The package provides functions to create and use
@@ -60,11 +60,11 @@
         'genomeToX.R' 'select-methods.R' 'seqname-utils.R' 'zzz.R'
 biocViews: Genetics, AnnotationData, Sequencing, Coverage
 License: LGPL
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/ensembldb
-git_branch: RELEASE_3_16
-git_last_commit: 4dda178
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 45a79a4
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 21:28:17 UTC; biocbuild
+Packaged: 2023-04-25 21:01:12 UTC; biocbuild

=== debian/changelog ===
r-bioc-ensembldb (2.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 15:17:47 +0200

## r-bioc-ensembldb 2.26.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ensembldb
 Type: Package
 Title: Utilities to create and use Ensembl-based annotation databases
-Version: 2.24.0
+Version: 2.26.0
 Authors@R: c(person(given = "Johannes", family = "Rainer",
 	   email = "johannes.rainer@eurac.edu",
 	   role = c("aut", "cre"),
@@ -62,9 +62,9 @@
 License: LGPL
 RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/ensembldb
-git_branch: RELEASE_3_17
-git_last_commit: 45a79a4
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 7046d99
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 21:01:12 UTC; biocbuild
+Packaged: 2023-10-24 21:07:50 UTC; biocbuild

=== debian/changelog ===
r-bioc-ensembldb (2.26.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 01 Dec 2023 04:45:49 +0000

r-bioc-ensembldb (2.24.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 29 Sep 2023 11:58:36 +0200

=== debian/control ===
--- 
+++ 
@@ -17,13 +17,13 @@
                r-bioc-genomeinfodb,
                r-bioc-annotationdbi,
                r-bioc-rtracklayer,
-               r-bioc-s4vectors (>= 0.23.10),
+               r-bioc-s4vectors,
                r-bioc-rsamtools,
                r-bioc-iranges,
                r-bioc-protgenerics,
                r-bioc-biostrings,
                r-cran-curl
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb.git
 Homepage: https://bioconductor.org/packages/ensembldb/

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
 https://www.bioconductor.org/packages/release/bioc/html/ensembldb.html .*/ensembldb_([\d\.]+)\.tar\.gz
